PHP目录遍历漏洞(CVE-2012-1172)

发布日期:2012-05-07
更新日期:2012-05-08

受影响系统:
PHP PHP 5.3.x
不受影响系统:
PHP PHP 5.4.1
PHP PHP 5.3.11
描述:
——————————————————————————–

BUGTRAQ  ID: 53403
CVE ID: CVE-2012-1172

 

PHP是一种HTML内嵌式的语言,PHP与微软的ASP颇有几分相似,都是一种在服务器端执行的嵌入HTML文档的脚本语言,语言的风格有类似于C语言,现在被很多的网站编程人员广泛的运用。

PHP在实现上存在目录遍历漏洞,远程攻击者可利用带有目录遍历序列的特制请求检索、破坏或上传任意位置上的任意文件。

<*来源:Neale Poole

链接:https://bugzilla.RedHat.com/show_bug.cgi?id=799187
*>

建议:
——————————————————————————–
厂商补丁:

PHP

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.php.net

Leave a Reply

Your email address will not be published.